Subject: Enco Plate Cutter

From: [email-masked]
Date: Wed, 7 Feb 96 08:49:24 -0700

Item Subject: cc:Mail Text
        Does anyone have experience with the Enco "Plate Cutter", shown on page 
37 of their Presidents Day Sale catalog? (Also on page 98 of their full line 
catalog)
        It looks like a roll cutter version of a Beverly shear, about size B-1 
1/2. The Beverly is used to cut straight and curves in sheet metal
        But, because I am familiar with the Beverlys, I would prefer to have one
of them. Does anyone have a B-2 or B-3 for sale? I could offer an Edwards shear 
in trade, but it's frame is broken thru the blade pivot hole. Could be repaired 
if you can weld cast iron.

        Dan Nibbelink
        RedHawk Forge
        1932 North Hwy 287
        Berthoud CO  80513
        home:   970-532-4387  metro Denver: 444-6704 ext 5570
        work:   970-635-6788
        E-mail: [email-masked]